---
layout: default
title: Join the GitLab Talent Community
description: Review our open roles and join our talent community today
twitter_image: '/images/opengraph/Talent-Brand/hiring-day-in-the-life-person-on-couch.png'
twitter_image_alt: "A person sitting on the couch with their laptop, smiling."
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
suppress_header: true
manual_cookiebot: true
extra_css:
  - jobs.css
---

.container.listing-container
  .content.tile{id: 'opportunities'}
    :markdown
      ## Careers at GitLab

      Interested in joining our [all-remote team](https://about.gitlab.com/company/culture/all-remote/)? GitLab is a very unique place to work, and we’re taking an equally unique approach to growing [our team](https://about.gitlab.com/company/team/org-chart/). Learn more about our talent acquisition model and what it’s like to work here on our [Jobs FAQ page](https://about.gitlab.com/jobs/faq/).

    .u-flex.justify-center
      = link_to "https://boards.greenhouse.io/gitlab/jobs/4700367002?gh_src=d865c64f2us", class: "btn cta-btn accent" do
        Join Our Talent Community

    :markdown
      <br><br>
      If you have questions about our Talent Community and how it all works, check out this video from our Recruiting team:

      <figure class='video_container'>
        <iframe src="https://www.youtube.com/embed/uK_kO8FcgpA"></iframe>
      </figure>

      <br><br>
      Here’s a list of the active roles we’re sourcing for now. To be considered for a career opportunity at GitLab, please join our Talent Community.
      <br>

    <br><br>
    :markdown

      | Department | Position Title | [Job Family](https://about.gitlab.com/handbook/hiring/job-families/) |
      |--------------------------|-----------------|------------------|
      | Engineering | Backend Engineer, Gitaly (Git & Go) | [What we're looking for](https://about.gitlab.com/job-families/engineering/backend-engineer/#gitaly) |
      | Engineering | Backend Engineer, Secure C# | [What we're looking for](https://about.gitlab.com/job-families/engineering/backend-engineer/) |
      | Engineering | Backend Engineer, Verify | [What we're looking for](https://about.gitlab.com/job-families/engineering/backend-engineer/) |
      | Engineering | Database Reliability Engineer | [What we're looking for](https://about.gitlab.com/job-families/engineering/database-reliability-engineer/) |
      | Engineering | Senior Security Analyst, Compliance | [What we're looking for](https://about.gitlab.com/job-families/engineering/security-analyst/) |
      | Engineering | Senior Security Engineer, Application Security| [What we're looking for](https://about.gitlab.com/job-families/engineering/security-engineer/) |
      | Engineering | Senior Frontend Engineer, Secure | [What we're looking for](https://about.gitlab.com/job-families/engineering/frontend-engineer/) |
      | Engineering | Support Engineer (Americas Central) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Support Engineer (Americas East) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Support Engineer (Americas West) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Support Engineer (APAC) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Support Engineer (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Support Engineering Manager (Americas) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-management/) |
      | Engineering | Support Engineering Manager (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-management/) |
      | Engineering | Senior Software Engineer in Test, Manage: Import | [What we're looking for](https://about.gitlab.com/job-families/engineering/software-engineer-in-test/) |
      | Engineering | Senior UX Researcher / UX Researcher, Manage & Plan | [What we're looking for](https://about.gitlab.com/job-families/engineering/ux-researcher/) |
      | G&A | Director, FP&A | [What we're looking for](https://about.gitlab.com/job-families/finance/finance-planning-and-analysis/) |
      | G&A | Director of Legal, Commercial | [What we're looking for](https://about.gitlab.com/job-families/legal/director-legal-us) |
      | G&A | Integrations Engineer | [What we're looking for](https://about.gitlab.com/job-families/finance/integrations-engineer/) |
      | G&A | Finance Systems Administrator | [What we're looking for](https://about.gitlab.com/job-families/finance/finance-systems-administrator/) |
      | G&A | Manager, Data | [What we're looking for](https://about.gitlab.com/job-families/finance/manager-data/) |
      | G&A | Senior Data Engineer | [What we're looking for](https://about.gitlab.com/job-families/finance/data-engineer/) |
      | G&A | Senior Financial Analyst, Channel - FP&A | [What we're looking for](https://about.gitlab.com/job-families/finance/finance-planning-and-analysis/) |
      | G&A | Senior Financial Analyst, G&A - FP&A | [What we're looking for](https://about.gitlab.com/job-families/finance/finance-planning-and-analysis/) |
      | G&A | Internal Strategy Consultant | [What we're looking for](https://about.gitlab.com/job-families/chief-executive-officer/internal-strategy-consultant/) |
      | G&A | Accounts Payable Specialist | [What we're looking for](https://about.gitlab.com/job-families/finance/accounts-payable-specialist/) |
      | G&A | Principal Internal Communications Manager | [What we're looking for](https://about.gitlab.com/job-families/chief-executive-officer/internal-communications/) |
      | Marketing | Website Full Stack Developer | [What we're looking for](https://about.gitlab.com/job-families/marketing/marketing-full-stack-developer/) |
      | Marketing | Sales Development Representative, Americas | [What we're looking for](https://about.gitlab.com/handbook/marketing/revenue-marketing/sdr/) |
      | Marketing | Sales Development Representative, EMEA (French speaking) | [What we're looking for](https://about.gitlab.com/handbook/marketing/revenue-marketing/sdr/) |
      | People Success | Chief People Officer | [What we're looking for](https://about.gitlab.com/job-families/people-ops/chief-people-officer/) |
      | Product | Senior Product Analyst | [What we're looking for](https://about.gitlab.com/job-families/product/product-analyst/) |
      | Product | Senior Product Manager, Telemetry | [What we're looking for](https://about.gitlab.com/job-families/product/product-manager/#telemetry) |
      | Sales | Associate Sales Operations Analyst (APAC) | [What we're looking for](https://about.gitlab.com/job-families/sales/sales-operations/) |
      | Sales | Associate Sales Operations Analyst (US) | [What we're looking for](https://about.gitlab.com/job-families/sales/sales-operations/) |
      | Sales | Channel Sales Manager (Japan) | [What we're looking for](https://about.gitlab.com/job-families/sales/channel-sales-manager/) |   
      | Sales | Deal Desk Specialist (APAC) | [What we're looking for](https://about.gitlab.com/job-families/sales/deal-desk/) |
      | Sales | Deal Desk Specialist (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/sales/deal-desk/) |
      | Sales | Enterprise Solutions Architect (US East) | [What we're looking for](https://about.gitlab.com/job-families/sales/solutions-architect/) |      
      | Sales | Enterprise Technical Account Manager (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/sales/technical-account-manager/) |      
      | Sales | Lead Business Systems Administrator | [What we're looking for](https://about.gitlab.com/job-families/sales/business-systems-administrator/) |
      | Sales | Mid Market Account Executive | [What we're looking for](https://about.gitlab.com/job-families/sales/account-executive/) |
      | Sales | Mid Market Account Executive (Japan) | [What we're looking for](https://about.gitlab.com/job-families/sales/account-executive/)
      | Sales | Partner Help Desk Specialist | [What we're looking for](https://about.gitlab.com/job-families/sales/partner-helpdesk/) |
      | Sales | Professional Services Project Manager | [What we're looking for](https://about.gitlab.com/job-families/sales/professional-services-project-manager/)
      | Sales | Public Sector Channel Manager | [What we're looking for](https://about.gitlab.com/job-families/sales/federal-channel-manager/) |
      | Sales | Public Sector Strategic Account Leader (DOJ) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Public Sector Strategic Account Leader (SLED)) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Public Sector Professional Services Engineer | [What we're looking for](https://about.gitlab.com/job-families/sales/professional-services-engineer/) |
      | Sales | Global Sales Director, SMB | [What we're looking for](https://about.gitlab.com/job-families/sales/regional-sales-director/) |
      | Sales | Sales Commissions Analyst | [What we're looking for](https://about.gitlab.com/job-families/sales/sales-commissions/) |
      | Sales | Senior Channel Sales Manager (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/sales/channel-sales-manager/) |             
      | Sales | Strategic Account Leader (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (Germany) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (Japan) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (South Korea) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (Bay Area) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (Rockies) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (San Mateo) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader (Midwest) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader Named Accounts (NYC) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Strategic Account Leader Named Accounts (Northeast) | [What we're looking for](https://about.gitlab.com/job-families/sales/strategic-account-leader/) |
      | Sales | Technical Account Manager (US East) | [What we're looking for](https://about.gitlab.com/job-families/sales/technical-account-manager/) |
  
 


      If you are a current team member, please reference [this page](https://about.gitlab.com/handbook/hiring/interviewing/#internal-applicants) for additional information and a link to the internal job board. If you'd like to submit a referral, please reference [this page](https://about.gitlab.com/handbook/hiring/referral-process/#submitting-a-referral).

    %div.u-flex.justify-center
      = link_to "https://boards.greenhouse.io/gitlab/jobs/4700367002?gh_src=d865c64f2us", class: "btn cta-btn accent" do            
        Join Our Talent Community
